<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: ETHGENERATOR Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">ETHGENERATOR Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ETHGENERATOR:</div>
<div class="dyncontent">
<div class="center"><img src="classETHGENERATOR__inherit__graph.png" border="0" usemap="#ETHGENERATOR_inherit__map" alt="Inheritance graph"/></div>
<map name="ETHGENERATOR_inherit__map" id="ETHGENERATOR_inherit__map">
<area shape="rect" id="node2" href="classETHGENERATOR2.html" title="ETHGENERATOR2" alt="" coords="5,80,152,107"/><area shape="rect" id="node3" href="classETHGENERATOR32.html" title="ETHGENERATOR32" alt="" coords="176,80,331,107"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classETHGENERATOR-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classETHGENERATOR_1_1behave.html">behave</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a498fad758fffae083320dbfe8b758d0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a498fad758fffae083320dbfe8b758d0e"></a>
<a class="el" href="classETHGENERATOR.html#a498fad758fffae083320dbfe8b758d0e">THOLD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a138fcff2bcb3ea61982eb8191a752e39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a138fcff2bcb3ea61982eb8191a752e39"></a>
<a class="el" href="classETHGENERATOR.html#a138fcff2bcb3ea61982eb8191a752e39">ENABLE_SHIFT16</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a1067298bd1367cf0fbbb395ac9482fbe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1067298bd1367cf0fbbb395ac9482fbe"></a>
<a class="el" href="classETHGENERATOR.html#a1067298bd1367cf0fbbb395ac9482fbe">LATENCY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classETHGENERATOR.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2541984ba64ee80c161f5a10cafa8b9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2541984ba64ee80c161f5a10cafa8b9c"></a>
<a class="el" href="classETHGENERATOR.html#a2541984ba64ee80c161f5a10cafa8b9c">rx_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a718a3f2798501efdcd65e48d810201"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a718a3f2798501efdcd65e48d810201"></a>
<a class="el" href="classETHGENERATOR.html#a8a718a3f2798501efdcd65e48d810201">enable</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a03b9d4aaa6f0bd6affb1b0005bd97de1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03b9d4aaa6f0bd6affb1b0005bd97de1"></a>
<a class="el" href="classETHGENERATOR.html#a03b9d4aaa6f0bd6affb1b0005bd97de1">rxd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92d67db1d2cd65819b5ff6d2a3730653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92d67db1d2cd65819b5ff6d2a3730653"></a>
<a class="el" href="classETHGENERATOR.html#a92d67db1d2cd65819b5ff6d2a3730653">rx_dv</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a003ebd8cbe6f196260e7021a8e2f532b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a003ebd8cbe6f196260e7021a8e2f532b"></a>
<a class="el" href="classETHGENERATOR.html#a003ebd8cbe6f196260e7021a8e2f532b">rx_er</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2012db156641316712eb265c7f3919d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2012db156641316712eb265c7f3919d"></a>
<a class="el" href="classETHGENERATOR.html#ae2012db156641316712eb265c7f3919d">sop</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af4c0ead97280deb0e8d9d0cc619ae92e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4c0ead97280deb0e8d9d0cc619ae92e"></a>
<a class="el" href="classETHGENERATOR.html#af4c0ead97280deb0e8d9d0cc619ae92e">eop</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c8fdce189a2dadf2122e97dab3f94d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c8fdce189a2dadf2122e97dab3f94d1"></a>
<a class="el" href="classETHGENERATOR.html#a9c8fdce189a2dadf2122e97dab3f94d1">mac_reverse</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afc06402144b260f284c605f7e9e1ecad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc06402144b260f284c605f7e9e1ecad"></a>
<a class="el" href="classETHGENERATOR.html#afc06402144b260f284c605f7e9e1ecad">dst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91c0c04410d3285b4062d99336a56d09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91c0c04410d3285b4062d99336a56d09"></a>
<a class="el" href="classETHGENERATOR.html#a91c0c04410d3285b4062d99336a56d09">src</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35b518b0c031d0d4ba504a078000ce25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35b518b0c031d0d4ba504a078000ce25"></a>
<a class="el" href="classETHGENERATOR.html#a35b518b0c031d0d4ba504a078000ce25">prmble_len</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">40</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ec4f1c63d143b0cb3a0fcc4255653b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ec4f1c63d143b0cb3a0fcc4255653b5"></a>
<a class="el" href="classETHGENERATOR.html#a9ec4f1c63d143b0cb3a0fcc4255653b5">pquant</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2fdcc9cee053c8b4beb871acb7338228"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fdcc9cee053c8b4beb871acb7338228"></a>
<a class="el" href="classETHGENERATOR.html#a2fdcc9cee053c8b4beb871acb7338228">vlan_ctl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a71afbc471b19a8b7104d02e257698224"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71afbc471b19a8b7104d02e257698224"></a>
<a class="el" href="classETHGENERATOR.html#a71afbc471b19a8b7104d02e257698224">len</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af5a35c4b319bd4a59fe78bb3d80de9fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5a35c4b319bd4a59fe78bb3d80de9fb"></a>
<a class="el" href="classETHGENERATOR.html#af5a35c4b319bd4a59fe78bb3d80de9fb">frmtype</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a428eae0c42286faf47639d1c1fb2ebba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a428eae0c42286faf47639d1c1fb2ebba"></a>
<a class="el" href="classETHGENERATOR.html#a428eae0c42286faf47639d1c1fb2ebba">cntstart</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1556830b5e6e9ed5930375b32cfae5b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1556830b5e6e9ed5930375b32cfae5b1"></a>
<a class="el" href="classETHGENERATOR.html#a1556830b5e6e9ed5930375b32cfae5b1">cntstep</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2016f78e6a8bf2a2624cea0d57d33d76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2016f78e6a8bf2a2624cea0d57d33d76"></a>
<a class="el" href="classETHGENERATOR.html#a2016f78e6a8bf2a2624cea0d57d33d76">ipg_len</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">32768</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a20966877c906bc3336546ffb4624f931"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20966877c906bc3336546ffb4624f931"></a>
<a class="el" href="classETHGENERATOR.html#a20966877c906bc3336546ffb4624f931">wrong_pause_op</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e2789a6fb2078383a8c5812289dcc11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e2789a6fb2078383a8c5812289dcc11"></a>
<a class="el" href="classETHGENERATOR.html#a3e2789a6fb2078383a8c5812289dcc11">wrong_pause_lgth</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab5b6f6bf28047c1348171a433dbd69d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5b6f6bf28047c1348171a433dbd69d5"></a>
<a class="el" href="classETHGENERATOR.html#ab5b6f6bf28047c1348171a433dbd69d5">payload_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab85e4e85b2da7734c915c51e5346d124"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab85e4e85b2da7734c915c51e5346d124"></a>
<a class="el" href="classETHGENERATOR.html#ab85e4e85b2da7734c915c51e5346d124">prmbl_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ec02db63812c535febfdc94d9741df2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ec02db63812c535febfdc94d9741df2"></a>
<a class="el" href="classETHGENERATOR.html#a8ec02db63812c535febfdc94d9741df2">crc_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83dc1ad8996b673b5fec50170a9d993a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83dc1ad8996b673b5fec50170a9d993a"></a>
<a class="el" href="classETHGENERATOR.html#a83dc1ad8996b673b5fec50170a9d993a">vlan_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a445b6f5dd2372423f44fd35666142433"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a445b6f5dd2372423f44fd35666142433"></a>
<a class="el" href="classETHGENERATOR.html#a445b6f5dd2372423f44fd35666142433">pause_gen</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a174bb9ed06c219b5afcb028e4a4bd4f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a174bb9ed06c219b5afcb028e4a4bd4f1"></a>
<a class="el" href="classETHGENERATOR.html#a174bb9ed06c219b5afcb028e4a4bd4f1">pad_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a489913ca6f53891e215916f72ee6f986"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a489913ca6f53891e215916f72ee6f986"></a>
<a class="el" href="classETHGENERATOR.html#a489913ca6f53891e215916f72ee6f986">phy_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4a5c47099eba761f6c170ff418c7d711"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a5c47099eba761f6c170ff418c7d711"></a>
<a class="el" href="classETHGENERATOR.html#a4a5c47099eba761f6c170ff418c7d711">end_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a40bbc4840147127e411c4978cbbd3c23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40bbc4840147127e411c4978cbbd3c23"></a>
<a class="el" href="classETHGENERATOR.html#a40bbc4840147127e411c4978cbbd3c23">magic</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9f0e56c165e32fa51708196ff6322c29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f0e56c165e32fa51708196ff6322c29"></a>
<a class="el" href="classETHGENERATOR.html#a9f0e56c165e32fa51708196ff6322c29">stack_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69042cade9a73fe4ac2455ae19cc1cc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69042cade9a73fe4ac2455ae19cc1cc9"></a>
<a class="el" href="classETHGENERATOR.html#a69042cade9a73fe4ac2455ae19cc1cc9">data_only</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15db2e2f858f64606a72cad76d539d3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15db2e2f858f64606a72cad76d539d3a"></a>
<a class="el" href="classETHGENERATOR.html#a15db2e2f858f64606a72cad76d539d3a">start</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35d5f970ffb86c0c37932227f71a17ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35d5f970ffb86c0c37932227f71a17ef"></a>
<a class="el" href="classETHGENERATOR.html#a35d5f970ffb86c0c37932227f71a17ef">done</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen_8vhd_source.html#l00049">49</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen_8vhd_source.html">ethgen.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen_8vhd_source.html">ethgen.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethgen_8vhd_source.html">ethgen.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
